Package org.apache.sling.feature.cpconverter.accesscontrol

## Interface EnforceInfo

All Known Implementing Classes:
  `DefaultAclManager`

    public interface EnforceInfo

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull String` `calculateEnforcedIntermediatePath​(@Nullable String intermediatePath)`
`boolean` `enforcePath​(@NotNull String systemUserId)`
`boolean` `enforcePrincipalBased​(@NotNull String systemUserId)`
`void` `recordSystemUserIds​(@NotNull String... systemUserIds)`

### Method Detail

#### recordSystemUserIds

    void recordSystemUserIds​(@NotNull
                             @NotNull String... systemUserIds)

#### enforcePrincipalBased

    boolean enforcePrincipalBased​(@NotNull
                                  @NotNull String systemUserId)

#### enforcePath

    boolean enforcePath​(@NotNull
                        @NotNull String systemUserId)

#### calculateEnforcedIntermediatePath

    @NotNull
    @NotNull String calculateEnforcedIntermediatePath​(@Nullable
                                                      @Nullable String intermediatePath)
                                               throws ConverterException

Throws:
  `ConverterException`